	program main

	integer FILES
	integer BUFSIZE
	integer NPOINTS

	parameter (FILES=10)
	parameter (BUFSIZE=18000)
	parameter (NPOINTS=90)
	
	integer num
	integer nfile
	character*50 datafile, listfile
	character*1 dir
	logical oldfile

	integer nrecord
	integer iargc
	integer statb(12)

	num = iargc()
        if (num.ne.0) then
                call getarg(1,listfile)
        else
                print*,'No ASCII file name was given.'
                print*,'Please enter one now:'
                read *,listfile
        end if

        inquire (file=listfile,exist=oldfile)
        if (oldfile) then
                open(unit=7,file=listfile,status='old')
        else
                stop 'ASCII file does not exist.  Program stopped.'
        end if

	inquire (file='pdata',exist=oldfile)
        if (oldfile) then
                stop 'pdata already exists.  Program stopped.'
        else
                open(unit=8,file='pdata',status='new')
        end if
	
        do 100 nfile=1,FILES

	read(7,'(A)') datafile
        print*,'reading ',datafile

	dir=datafile(29:29)
	if (dir.eq.'z') dir='0'
	write(8,'(A)') dir 
	 
	inquire (file=datafile,exist=oldfile)
        if (oldfile) then
          open(unit=9,file=datafile,status='old')
        else
	  print*,'File "',datafile,'" does not exist.'
          stop 'Program stopped.'
        end if

	call stat(datafile,statb)
        if(statb(8)/2.lt.BUFSIZE) then
                nrecord = statb(8)/2
        else
                nrecord = BUFSIZE
        endif

	write(8,*) nrecord
	close(9)
     
100 	continue
	
	close(8)
	close(7)

	stop
	end
   
